# ListSpecs Infrastructure

Endpoint for listing specs for a specific infrastructure.

Endpoint: GET /api/infrastructures/{id}/specs
Version: 1.0
Security: x-api-key

## Query parameters:

  - `offset` (integer)
    Offset for pagination

  - `limit` (integer)
    Limit for pagination

  - `desc` (boolean)
    Order by descending order

  - `orgIdentifier` (string)
    Org is the organization identifier.

  - `projectIdentifier` (string)
    Project is the project identifier.

## Path parameters:

  - `id` (string, required)
    ID of the infrastructure

## Header parameters:

  - `Harness-Account` (string, required)
    Account is the internal customer account ID.

## Response 200 fields (application/json):

  - `specs` (array)

  - `specs.createdAt` (string)
    date (RFC3339) when the spec was created

  - `specs.infrastructure` (object)

  - `specs.infrastructure.identifier` (string, required)

  - `specs.infrastructure.instances` (array)

  - `specs.infrastructure.instances.dependencies` (object)

  - `specs.infrastructure.instances.identifier` (string, required)

  - `specs.infrastructure.instances.implementation` (object)

  - `specs.infrastructure.instances.implementation.backend` (string, required)

  - `specs.infrastructure.instances.implementation.steps` (object, required)

  - `specs.infrastructure.instances.implementation.steps.apply` (object, required)

  - `specs.infrastructure.instances.implementation.steps.create` (object)

  - `specs.infrastructure.instances.implementation.steps.delete` (object)

  - `specs.infrastructure.instances.implementation.steps.destroy` (object, required)

  - `specs.infrastructure.instances.implementation.steps.pause` (object)

  - `specs.infrastructure.instances.implementation.steps.resume` (object)

  - `specs.infrastructure.instances.implementation.values` (object)

  - `specs.infrastructure.instances.metadata` (object)

  - `specs.infrastructure.instances.outputs` (object)

  - `specs.infrastructure.instances.targetState` (object)

  - `specs.infrastructure.instances.targetState.state` (string, required)
    Enum: "unknown", "inactive", "instantiated", "running", "paused"

  - `specs.infrastructure.metadata` (object)

  - `specs.infrastructure.outputs` (object)

  - `specs.infrastructure.targetState` (object, required)

  - `specs.revision` (integer)

  - `total` (integer)

## Response 400 fields (application/json):

  - `code` (string)

  - `details` (object)

  - `message` (string, required)

  - `name` (string, required)


